stages:
  - build

variables:
  # Vos variables peuvent rester définies ici si elles sont utilisées ailleurs ou pour des besoins futurs

before_script:
  # Cette partie n'est plus nécessaire si vous ne faites que construire votre projet sans déploiement nécessitant des clés SSH

build:
  stage: build
  image: node:latest
  script:
    - yarn install
    - yarn build
  artifacts:
    paths:
      - .next/
    expire_in: 1 hour
